Bug 1638444 - One of the external displays is sometimes turned off
Summary: One of the external displays is sometimes turned off
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-10-11 14:52 UTC by Tomas Popela
Modified: 2018-10-18 11:06 UTC (History)
8 users (show)

Fixed In Version: mutter-3.30.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-18 11:06:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Popela 2018-10-11 14:52:59 UTC
In GDM only the primary external display is turned on, the other one is turned off. After log in, the other one turns on. Sometimes when I locked the screen then the (not a primary one) display stays off completely until I log out and log in again.

Worked on 3.30.0-3, broken with 3.30.1-1.

Upstream bug: https://gitlab.gnome.org/GNOME/mutter/issues/342

Comment 1 Jonas Ådahl 2018-10-11 16:21:12 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30184498

Comment 2 Adam Williamson 2018-10-11 16:40:39 UTC
Proposing for Final freeze exception, this obviously ca affect first boot after install so cannot be entirely fixed with an update.

Comment 3 Kalev Lember 2018-10-11 19:06:56 UTC
+1 FE

Comment 4 Jonas Ådahl 2018-10-12 06:57:07 UTC
A PR for the change included in the scratch build: https://src.fedoraproject.org/rpms/mutter/pull-request/11

It'd be good to have it tested, as it hasn't been reviewed upstream yet.

Comment 5 Tomas Popela 2018-10-12 07:00:28 UTC
I will try that on Monday when I will have an access to external displays.

Comment 6 Fedora Update System 2018-10-14 19:00:52 UTC
mutter-3.30.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c830129998

Comment 7 Fedora Update System 2018-10-14 21:07:01 UTC
mutter-3.30.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c830129998

Comment 8 Geoffrey Marr 2018-10-15 19:21:28 UTC
Discussed during the 2018-10-15 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as  this affects some hardware configs on first boot so it cannot be fixed with an update, it may cause inconvenience if the affected display is the main one.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-10-15/f29-blocker-review.2018-10-15-16.00.txt

Comment 9 Fedora Update System 2018-10-18 11:06:50 UTC
mutter-3.30.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.